%define name gtktalog
%define version 0.0.17
%define prefix %{_prefix}

Summary: The GTK disk catalog.
Name: %{name}
Version: %{version}
Release: 2mdk
Copyright: GPL
Group: Archiving/Other
Source0: http://gtktalog.iskewl.com/%{name}-%{version}.tar.bz2
Source1: %{name}
Source2: %{name}.xpm.bz2
URL: http://gtktalog.iskewl.com
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
GTKtalog is a disk catalog, it means you can use it to create a really small
database with images of files and folders of your CD-rom. So you can browse all
your CD's very quickly, see contents of certain files (tar.gz, rpm files ...).
You can give to each folder and file a category and a description. You can
search for files in your database with filename, category, description or file
information parameter, and find in which CD the file you are looking for is.

%prep
%setup
perl -p -i -e 's|/usr/local|/usr|g' `find . -name "*.conf"`
perl -p -i -e 's|/usr/local|/usr|g' `find . -name "Makefile"`

%build
make

%install
rm -rf $RPM_BUILD_ROOT

make install PREFIX=$RPM_BUILD_ROOT/usr

install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 $RPM_SOURCE_DIR/%{name} $RPM_BUILD_ROOT/usr/lib/menu/

# icon
mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/icons/mini
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{prefix}/share/icons/mini/%{name}.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi  

%files
%defattr(-,root,root,0755)
%doc AUTHORS CHANGELOG COPYING FAQ README 
/usr/bin/*
/usr/share/gtktalog/*
/usr/lib/menu/*
/usr/lib/gtktalog/*
/usr/share/icons/mini/*


%changelog
* Wed Apr 12 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.17-2mdk
- added icon

* Tue Apr  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.17-1mdk
- first Mandrake package

